Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssEnterpriseServer

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties, IEssServer

public interface IEssEnterpriseServer
extends IEssServer, IEssExtendedObject, IEssProperties

The IEssEnterpriseServer is the Essbase Enterprise server.

Nested Class Summary

Nested classes inherited from class com.essbase.api.domain.IEssServer
`IEssServer.EEssServerType`

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_ENABLED_CLUSTER_NAMES`
`static int` | `PROP_ENABLED_CONNECTION_POOL_NAMES`
`static int` | `PROP_NAME`
`static int` | `PROP_OUTLINE_CACHE_ENABLED`
`static int` | `PROP_OUTLINE_CACHE_MAX_IDLE_TIME`
`static int` | `PROP_OUTLINE_CACHE_SOURCES`
`static int` | `PROP_REMOTE_START_COMMAND`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `closeAllClustersAndConnectionPools()` Closes all the opened clusters and connection pools.
`void` | `delete()` Deletes/Unregisters this server from the domain.
`java.lang.String` | `getDescription()` Gets the enterprise server description.
`java.lang.String` | `getEnabledClusterNames()` Gets the enabled cluster names.
`java.lang.String` | `getEnabledConnectionPoolNames()` Gets the enabled connection pool names.
`java.lang.String` | `getName()` Gets the enterprise server name/ip address.
`int` | `getOutlineCacheMaxIdleTime()` Gets the maximum idle time (in minutes) after which the cache will be cleared for each cube source.
`java.lang.String` | `getOutlineCacheSources()` Gets outline cache cube sources, each separated by a semicolon.
`java.lang.String` | `getStartCommand()` Gets the command to start this enterprise server.
`boolean` | `isOutlineCacheEnabled()` Checks if outline caching is enabled.
`void` | `openAllClustersAndConnectionPools()` Opens (sets up) all the enabled clusters and connection pools.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setDescription(java.lang.String desc)` Sets the enterprise server description.
`void` | `setEnabledClusterNames(java.lang.String clusterNames)` Sets the enabled cluster names.
`void` | `setEnabledConnectionPoolNames(java.lang.String poolNames)` Sets the enabled connection pool names.
`void` | `setOutlineCacheEnabled(boolean otlCacheEnabled)` Sets if outline caching is enabled.
`void` | `setOutlineCacheMaxIdleTime(int maxIdleTime)` Sets the maximum idle time (in minutes) after which the cache will be cleared for each cube source.
`void` | `setOutlineCacheSources(java.lang.String otlCacheSources)` Sets outline cache cube sources, each separated by a semicolon.
`void` | `setStartCommand(java.lang.String startCmd)` Sets the command to start this enterprise server.
`void` | `start()` Starts the enterprise server if it is not already running.
`void` | `start(java.lang.String osUserName, java.lang.String osUserPassword, java.lang.String osDomainName)` Starts the enterprise server if it is not already running.
`void` | `stop()` Stops the enterprise server if it is running.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.domain.IEssServer
`getServerType`

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_REMOTE_START_COMMAND

    public static final int PROP_REMOTE_START_COMMAND

See Also:
  Constant Field Values

### PROP_ENABLED_CLUSTER_NAMES

    public static final int PROP_ENABLED_CLUSTER_NAMES

See Also:
  Constant Field Values

### PROP_ENABLED_CONNECTION_POOL_NAMES

    public static final int PROP_ENABLED_CONNECTION_POOL_NAMES

See Also:
  Constant Field Values

### PROP_OUTLINE_CACHE_ENABLED

    public static final int PROP_OUTLINE_CACHE_ENABLED

See Also:
  Constant Field Values

### PROP_OUTLINE_CACHE_SOURCES

    public static final int PROP_OUTLINE_CACHE_SOURCES

See Also:
  Constant Field Values

### PROP_OUTLINE_CACHE_MAX_IDLE_TIME

    public static final int PROP_OUTLINE_CACHE_MAX_IDLE_TIME

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the enterprise server name/ip address.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The EES Server name/IP address.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the enterprise server description.

  Returns:
    The enterprise server description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the enterprise server description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The enterprise server description.
  Throws:
    `EssException` - if an error occurs.

### getStartCommand

    public java.lang.String getStartCommand()
                                     throws EssException

  Gets the command to start this enterprise server.

  Returns:
    The startup command.
  Throws:
    `EssException` - if an error occurs.

### setStartCommand

    public void setStartCommand(java.lang.String startCmd)
                         throws EssException

  Sets the command to start this enterprise server. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `startCmd` - The startup command.
  Throws:
    `EssException` - if an error occurs.

### getEnabledClusterNames

    public java.lang.String getEnabledClusterNames()
                                            throws EssException

  Gets the enabled cluster names.

  Returns:
    The enabled cluster names, each separated by a comma. Eg: "demoBasicCluster,sampleBasicCluster".
  Throws:
    `EssException` - if an error occurs.

### setEnabledClusterNames

    public void setEnabledClusterNames(java.lang.String clusterNames)
                                throws EssException

  Sets the enabled cluster names. Make sure that the clusters are already created using IEssDomain.createCluster(). The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `clusterNames` - The enabled cluster names, each separated by a comma. Eg: "demoBasicCluster,sampleBasicCluster".
  Throws:
    `EssException` - if an error occurs.

### getEnabledConnectionPoolNames

    public java.lang.String getEnabledConnectionPoolNames()
                                                   throws EssException

  Gets the enabled connection pool names.

  Returns:
    The enabled connection pool names, each separated by a comma. Eg: "demoBasicPool,sampleBasicPool".
  Throws:
    `EssException` - if an error occurs.

### setEnabledConnectionPoolNames

    public void setEnabledConnectionPoolNames(java.lang.String poolNames)
                                       throws EssException

  Sets the enabled connection pool names. Make sure that the connectiopn pools are already created using IEssDomain.createConnectionPool(). The change will become effective after you invoke updatePropertyValues().

  Throws:
    `EssException` - if an error occurs.

### isOutlineCacheEnabled

    public boolean isOutlineCacheEnabled()
                                  throws EssException

  Checks if outline caching is enabled. (FOR FUTURE USE)

  Returns:
    true if outline caching is enabled.
  Throws:
    `EssException` - if an error occurs.

### setOutlineCacheEnabled

    public void setOutlineCacheEnabled(boolean otlCacheEnabled)
                                throws EssException

  Sets if outline caching is enabled. (FOR FUTURE USE)

  Parameters:
    `otlCacheEnabled` - true to enable outline caching.
  Throws:
    `EssException` - if an error occurs.

### getOutlineCacheSources

    public java.lang.String getOutlineCacheSources()
                                            throws EssException

  Gets outline cache cube sources, each separated by a semicolon. (FOR FUTURE USE)

  Returns:
    The ouline cache cube sources. Eg: "localhost/sample/basic; localhost/demo/basic".
  Throws:
    `EssException` - if an error occurs.

### setOutlineCacheSources

    public void setOutlineCacheSources(java.lang.String otlCacheSources)
                                throws EssException

  Sets outline cache cube sources, each separated by a semicolon. (FOR FUTURE USE)

  Parameters:
    `otlCacheSources` - The ouline cache cube sources. Eg: "localhost/sample/basic; localhost/demo/basic".
  Throws:
    `EssException` - if an error occurs.

### getOutlineCacheMaxIdleTime

    public int getOutlineCacheMaxIdleTime()
                                   throws EssException

  Gets the maximum idle time (in minutes) after which the cache will be cleared for each cube source. (FOR FUTURE USE)

  Returns:
    The maximum idle time (in minutes) for clearing cache.
  Throws:
    `EssException` - if an error occurs.

### setOutlineCacheMaxIdleTime

    public void setOutlineCacheMaxIdleTime(int maxIdleTime)
                                    throws EssException

  Sets the maximum idle time (in minutes) after which the cache will be cleared for each cube source. (FOR FUTURE USE)

  Parameters:
    `maxIdleTime` - The maximum idle time (in minutes) for clearing cache. This value cannot be less than 1 minute.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes/Unregisters this server from the domain.

  Specified by:
    `delete` in interface `IEssServer`
  Throws:
    `EssException` - if an error occurs.

### start

    public void start()
               throws EssException

  Starts the enterprise server if it is not already running.

  Throws:
    `EssException` - if an error occurs.

### start

    public void start(java.lang.String osUserName,
                      java.lang.String osUserPassword,
                      java.lang.String osDomainName)
               throws EssException

  Starts the enterprise server if it is not already running.

  Parameters:
    `osUserName` - The OS user name on the destination host.
    `osUserPassword` - The OS user password.
    `osDomainName` - The OS domain name.
  Throws:
    `EssException` - if an error occurs.

### stop

    public void stop()
              throws EssException

  Stops the enterprise server if it is running.

  Throws:
    `EssException` - if an error occurs.

### openAllClustersAndConnectionPools

    public void openAllClustersAndConnectionPools()
                                           throws EssException

  Opens (sets up) all the enabled clusters and connection pools.

  Throws:
    `EssException` - if an error occurs.

### closeAllClustersAndConnectionPools

    public void closeAllClustersAndConnectionPools()
                                            throws EssException

  Closes all the opened clusters and connection pools.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD